Subject: Re: Problem with https and git-pull

From: Andreas Ericsson <[email-masked]>
Date: Thu, 08 Nov 2007 10:37:07 +0100

Luke Diamand wrote:
> OK, I just read the FAQ.

... and found that "git update-server-info" needs to be run on the remote
side in order for dumb protocols (http, rsync, ftp...) to work.

Directed at any poor soul who finds this solution in the mailing list
archives before posting to the list. Hello there, poor soul ;-)

> Luke Diamand wrote:
>> I'm finding that git-pull using https does not work in the way I would 
>> expect.
>>
>> I created a bare repository, test.git, available by https://
>>
>> I then cloned it:
>>
>> % git-clone https://host/git/test.git
>>
>> So far, so good.
>>
>> Then I made a change in a different clone and pushed it.
>>
>> When I next did git-pull it just said:
>>
>> % git-pull
>> Fetching refs/heads/master from https://host/git/test.git using https
>> Already up-to-date.
>>
>> But it *isn't* up-to-date! If I do the same exercise with git:// or 
>> ssh:// on the same repo then it pulls down my changes as expected.
>>
>> Tried with:
>>   git version 1.5.3.4 (debian testing)
>>   git 1.5.3.5-dirty
>>
>> curl is 7.16.4
>>
>> The server access log shows the git-pull happening, and there are no 
>> errors reported by the server.
>>
>> Is there something obvious I'm missing?
>>
>> Thanks
>> Luke
>>
>>
> 
> -
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231